TenantController Class

The REST API for performing administration tasks on tenants.
Inheritance Hierarchy

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
public class TenantController : ApiControllerBase

The TenantController type exposes the following members.

Constructors
  NameDescription
Public methodTenantController
Initializes a new instance of the TenantController class
Top
Methods
  NameDescription
Public methodCreateTenant
POST /Tenant/ Creates a tenant.
Public methodDeleteTenant
DELETE /Tenant/{id} Deletes a tenant.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetTenantById
GET /Tenant/{id} Gets a tenant with the specified ID.
Public methodGetTenantInfoById
GET /Tenant/Info/{id} Gets the tenant info for the tenant ID.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodQueryNumberOfTenants
POST /Tenant/Count/ Gets the number of tenants that match the filter.
Public methodQueryTenantInfos
POST /Tenant/QueryInfos Gets information about multiple tenants.
Public methodQueryTenants
POST /Tenant/Query/ Gets the tenants with the given information.
Public methodRemoveWarehouseOverride
POST /Tenant/RemoveWarehouseOverride/ Removes the warehouse override with the same scope and scope target.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodSetWarehouseOverride
POST /Tenant/SetWarehouseOverride/ Adds the warehouse override if there is no existing override with the same scope and scope target, otherwise replaces it.
Public methodUpdateTenant
PUT /Tenant/{id} Updates a tenant.
Top
See Also